#ifndef MYCHESS_H
#define MYCHESS_H

using namespace std;

const int N = 6; //  N*M      
const int M = 6;
const int Fig = 6; // - 
//long results = 0;

enum typ { Free, Atacked, Queen, Rook, Bishop, Knight, King, Close }; //,  , , , , , 
                                                                      //     Free   ,  Atacked -  ,     
class MyChess
{
    public:
        //MyChess();
        void Reset();
        bool Check(int, int);
        void showBoard();
        void Copy(MyChess&);
        void getQueen(typ, int, int, int);
        void getRook(typ, int, int, int );
        void getBishop(typ, int, int, int );
        void getKnight(typ, int, int, int );
        void getKing(typ, int, int, int );
    private:
        typ chessboard[N][M];

};

#endif // MYCHESS_H
